<?php

namespace App\Danoral\Transacciones;

use App\Danoral\ModelBase;
use Illuminate\Support\Facades\DB;

class TransDTCond extends ModelBase
{
    protected $tableName = 'transdt_cond';
    protected $primaryKey = 'idDT';
    public $incrementing = false;
    public $timestamps = false;

    protected $fillable = [
        'idDT',
        'idCond',
    ];

    function __construct($schema = null) {
        if(is_null($schema)){
            $this->table = parent::$SCHEMA .'.'. $this->tableName;
        }else{
            $this->table = $schema .'.'. $this->tableName;
        }
    }

}
